﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="error.aspx.cs" Inherits="LoggingWebRole.error" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Generate Error or Warning Log Entry</title>
     <link type="text/css" rel="Stylesheet" href="master.css" />
</head>
<body>
    <form id="form1" runat="server">
<div id="nav-bar">
  <a href="default.aspx" title="Home page">Home</a>&nbsp;|&nbsp;
  <a href="admin.aspx" title="Transfer Logs">Transfer Logs</a>&nbsp;|&nbsp;
  <a href="error.aspx" title="Generate a log message">Error</a>&nbsp;|&nbsp;
  <a href="about.aspx" title="Generate a failed request">Failed Request</a>&nbsp;
  </div>
<div id="main">
<br />
    <table style="width: 642px">
    <tr>
    <td>
    Current Web Log Level</td>
    <td><asp:Label ID="WebLogLevelLbl" runat="server"></asp:Label></td>
    </tr>
    <tr>
    <td>
    What type of log entry?
    </td>
    <td><asp:DropDownList ID="LogTypeList" runat="server" AutoPostBack="True">
        <asp:ListItem Value="Critical" runat="server">Critical</asp:ListItem>
        <asp:ListItem Value="Error" runat="server">Error</asp:ListItem>
        <asp:ListItem Value="Warning" runat="server">Warning</asp:ListItem>
        <asp:ListItem Value="Information" runat="server">Information</asp:ListItem>
        <asp:ListItem Value="Verbose" runat="server">Verbose</asp:ListItem>
    </asp:DropDownList>
    </td>
    </tr>
    <tr>
    <td>Text for the entry:
    </td>
    <td>
    <asp:TextBox ID="MessageText" runat="server" Width="427px"></asp:TextBox>
    </td></tr>
    <tr>
    <td />
    <td><asp:Button ID="LogItButton" runat="server" 
            Text="Log It" onclick="LogItButton_Click" /></td>
    </tr>
    </table>
       <p style="font-style: italic">
        This page will generate a log message from the web role.  Select the type of message you want
        and the text and click "Log It" to add it to the Trace log.  Because the sample code is set up
        to persist these logs to Azure storage, it will show up in Development storage (in the WADLogsTable) within a minute or so.&nbsp; 
           See the code in error.aspx.cs to see how different methods in 
           System.Diagnostics.Trace are used to generate these messages.</p>
    <p>

    </div>
    </form>
</body>
</html>
