﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace LoggingWebRole
{
    public partial class error : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            WebRole.Diagnostics.WriteWebDiagnosticInfo( TraceEventType.Verbose, WebDiagnostics.TraceEventID.traceFunctionEntry, Page.Title.ToString() + " Page_Load");
            WebLogLevelLbl.Text = WebRole.Diagnostics.WebTraceSwitch.Level.ToString();
        }

        protected void LogItButton_Click(object sender, EventArgs e)
        {
            string logtype = LogTypeList.SelectedValue;
            string logmsg = MessageText.Text;
            TraceEventType typ;

            WebRole.Diagnostics.WriteWebDiagnosticInfo( TraceEventType.Verbose, WebDiagnostics.TraceEventID.traceFunctionEntry, Page.Title.ToString() + " LogItButton_Click: Generate a message of type " + logtype);

            typ = (TraceEventType)Enum.Parse(typeof(TraceEventType), logtype);
            WebRole.Diagnostics.WriteWebDiagnosticInfo(typ, WebDiagnostics.TraceEventID.traceGeneral, logmsg);
            MessageText.Text = "";         
        }
    }
}